Skip to content

Update an option on a list conversation attribute

Request

Update the label of a single option on a list-type conversation attribute. Returns the full attribute with the updated options array.

Security
bearerAuth
Path
idintegerrequired

The conversation attribute id

Example:2
option_idstringrequired

The UUID of the list option to update (from the id field in the options array)

Example:a1b2c3d4-e5f6-7890-abcd-ef1234567890
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
Bodyapplication/jsonrequired
labelstringrequired

The updated label for the option.

Example:"Renamed"
curl -i -X PUT \
  https://api.intercom.io/conversations/attributes/2/options/a1b2c3d4-e5f6-7890-abcd-ef1234567890 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.16' \
  -d '{
    "label": "Renamed"
  }'

Responses

Successful response

Bodyapplication/json
typestring

Value is conversation_attribute.

Value:"conversation_attribute"
Example:"conversation_attribute"
idinteger

The unique identifier for the conversation attribute.

Example:8
namestring

Name of the attribute.

Example:"api_test_attr"
descriptionstring

Readable description of the attribute.

Example:"Created via API test"
data_typestring

The data type of the attribute. Allowed types: string, integer, list, decimal, boolean, datetime, relationship, files.

Value:"string"
Example:"string"
Discriminator
requiredboolean

Whether this attribute is required.

Example:false
visible_to_team_idsArray of strings

Team IDs that can see this attribute. Empty array means all teams.

Example:
[]
archivedboolean

Whether this attribute is archived.

Example:false
created_atinteger, (date-time)

The time the attribute was created as a UTC Unix timestamp.

Example:1778239701
updated_atinteger, (date-time)

The time the attribute was last updated as a UTC Unix timestamp.

Example:1778239701
admin_idstring

ID of the admin who created the attribute.

Example:"16"
multilineboolean

Whether this string attribute is multiline.

Example:false
Response
{ "type": "conversation_attribute", "id": 2, "name": "test list", "description": "", "data_type": "list", "required": false, "visible_to_team_ids": [], "archived": false, "created_at": 1777472538, "updated_at": 1778240001, "admin_id": "16", "options": [ {}, {}, {} ] }